## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate vm-fdt

Name:           rust-vm-fdt
Version:        0.2.0
Release:        %autorelease
Summary:        For writing Flattened Devicetree blobs

License:        Apache-2.0 OR BSD-3-Clause
URL:            https://crates.io/crates/vm-fdt
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude maintainer-only files from the package
Patch:          vm-fdt-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Crate for writing Flattened Devicetree blobs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/img
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+long_running_test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+long_running_test-devel %{_description}

This package contains library source intended for building other packages which
use the "long_running_test" feature of the "%{crate}" crate.

%files       -n %{name}+long_running_test-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{ix86}
# * skip overflow test on 32-bit targets (for causing capacity overflow panic)
%cargo_test -f long_running_test -- -- --exact --skip=writer::tests::test_overflow_subtract
%else
%cargo_test -f long_running_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 07 2023 David Michael <fedora.dm0@gmail.com> - 0.2.0-2
- Enable running the slower tests.

* Sat Mar 25 2023 David Michael <fedora.dm0@gmail.com> - 0.2.0-1
- Initial import. (fedora#2181036)
## END: Generated by rpmautospec
